.codeblock-example {
    border: 1px solid #e1e4e5;
    border-bottom: none;
    padding: 24px;
    padding-top: 48px;
    font-weight: 500;
    background: #fff;
    position: relative
}

.codeblock-example:after {
    content: "Example";
    position: absolute;
    top: 0px;
    left: 0px;
    background: #9B59B6;
    color: #fff;
    padding: 6px 12px
}

.codeblock-example.prettyprint-example-only {
    border: 1px solid #e1e4e5;
    margin-bottom: 24px
}

.codeblock,
pre.literal-block,
.rst-content .literal-block,
.rst-content pre.literal-block,
div[class^='highlight'] {
    border: 1px solid #e1e4e5;
    padding: 0px;
    overflow-x: auto;
    background: #fff;
    margin: 1px 0 24px 0
}

.codeblock div[class^='highlight'],
pre.literal-block div[class^='highlight'],
.rst-content .literal-block div[class^='highlight'],
div[class^='highlight'] div[class^='highlight'] {
    border: none;
    background: none;
    margin: 0
}

div[class^='highlight'] td.code {
    width: 100%
}

.linenodiv pre {
    border-right: solid 1px #e6e9ea;
    margin: 0;
    padding: 12px 12px;
    font-family: Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace;
    font-size: 12px;
    line-height: 1.5;
    color: #d9d9d9
}

div[class^='highlight'] pre {
    white-space: pre;
    margin: 0;
    padding: 12px 12px;
    font-family: Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace;
    font-size: 12px;
    line-height: 1.5;
    display: block;
    overflow: auto;
    color: #404040
}

@media print {
    .codeblock,
    pre.literal-block,
    .rst-content .literal-block,
    .rst-content pre.literal-block,
    div[class^='highlight'],
    div[class^='highlight'] pre {
        white-space: pre-wrap
    }
}

.hll {
    background-color: #ffc;
    margin: 0 -12px;
    padding: 0 12px;
    display: block
}

.c {
    color: #998;
    font-style: italic
}

.err {
    color: #a61717;
    background-color: #e3d2d2
}

.k {
    font-weight: bold
}

.o {
    font-weight: bold
}

.cm {
    color: #998;
    font-style: italic
}

.cp {
    color: #7a8996;
    font-weight: bold
}

.c1 {
    color: #998;
    font-style: italic
}

.cs {
    color: #7a8996;
    font-weight: bold;
    font-style: italic
}

.gd {
    color: #000;
    background-color: #fdd
}

.gd .x {
    color: #000;
    background-color: #faa
}

.ge {
    font-style: italic
}

.gr {
    color: #a00
}

.gh {
    color: #7a8996
}

.gi {
    color: #000;
    background-color: #dfd
}

.gi .x {
    color: #000;
    background-color: #afa
}

.go {
    color: #888
}

.gp {
    color: #555
}

.gs {
    font-weight: bold
}

.gu {
    color: purple;
    font-weight: bold
}

.gt {
    color: #a00
}

.kc {
    font-weight: bold
}

.kd {
    font-weight: bold
}

.kn {
    font-weight: bold
}

.kp {
    font-weight: bold
}

.kr {
    font-weight: bold
}

.kt {
    color: #458;
    font-weight: bold
}

.m {
    color: #099
}

.s {
    color: #d14
}

.n {
    color: #333
}

.na {
    color: teal
}

.nb {
    color: #0086b3
}

.nc {
    color: #458;
    font-weight: bold
}

.no {
    color: teal
}

.ni {
    color: purple
}

.ne {
    color: #900;
    font-weight: bold
}

.nf {
    color: #900;
    font-weight: bold
}

.nn {
    color: #555
}

.nt {
    color: navy
}

.nv {
    color: teal
}

.ow {
    font-weight: bold
}

.w {
    color: #bbb
}

.mf {
    color: #099
}

.mh {
    color: #099
}

.mi {
    color: #099
}

.mo {
    color: #099
}

.sb {
    color: #d14
}

.sc {
    color: #d14
}

.sd {
    color: #d14
}

.s2 {
    color: #d14
}

.se {
    color: #d14
}

.sh {
    color: #d14
}

.si {
    color: #d14
}

.sx {
    color: #d14
}

.sr {
    color: #009926
}

.s1 {
    color: #d14
}

.ss {
    color: #990073
}

.bp {
    color: #7a8996
}

.vc {
    color: teal
}

.vg {
    color: teal
}

.vi {
    color: teal
}

.il {
    color: #099
}

.gc {
    color: #7a8996;
    background-color: #EAF2F5
}
